The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Delete Light Weight Policy

Prev Next

This URL deletes a L\light weight policy associated with a specific interface or sub interface.

Resource URL

DELETE /sensor/<sensor_id>/interface/<interface_id or subinterface_id>/localipspolicy

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensor_id

Sensor Id

Number

Yes

interface_id or subinterface_id

Unique interface or sub interface id

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

Status

Status returned by deletion

Number

Example

Request

DELETE https://<NSM_IP>/sdkapi/sensor/1001/interface/105/localipspolicy

Response

{
"status":1
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor

2

404

1107

Invalid interface or sub-interface id

3

400

1301

The number of attacks does not match the number in the baseline policy

4

400

1302

Number of bytes has to be between 1 to 255

5

400

1303

Please provide the number of bytes to be logged

6

400

1304

Please provide duration of logging for flow

7

400

1305

Number of bytes has to be between 2 to 255

8

400

1306

Time has to be between 1 to 63

9

400

1307

Please provide a time

10

400

1308

Please provide a time interval

11

400

1309

Please provide the flow

12

400

1310

Invalid severity - please provide a value between 0 and 10

13

400

1311

Invalid threshold value - please enter a value between 1 and 2147483647

14

400

1312

Invalid threshold duration - please enter a value between 1 and 2147483647